#
# spec file for package gnome-vfs2 (Version 2.12.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel cdparanoia cifs-mount coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs e2fsprogs-devel expat fam fam-devel file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-filesystem gnome-mime-data gnome-patch-translation gpm grep groff gtk2 gtk2-devel gtkdoc gzip hal hal-devel indent info insserv intltool iso_ent klogd krb5 krb5-devel less libacl libattr libbonobo libbonobo-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidl libjpeg libjpeg-devel libnscd libpng libpng-devel libsmbclient libsmbclient-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libusb libxcrypt libxml2 libxml2-devel libxslt libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openct openjade openldap2-client openmotif-libs opensc opensp openssh openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch pcsc-lite perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm samba samba-client sed sgml-skel strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gnome-vfs2
BuildRequires:  cdparanoia fam-devel gcc-c++ gconf2-devel gnome-common gnome-mime-data gnome-patch-translation gtk2-devel gtkdoc hal-devel indent intltool krb5-devel libbonobo-devel libgcrypt-devel libidl libsmbclient libsmbclient-devel libtiff-devel libxml2-devel mDNSResponder-devel openssh openssl-devel perl-XML-Parser samba sgml-skel update-desktop-files
%define prefix	/opt/gnome
%define sysconfdir /etc%{prefix} 
License:        LGPL
Group:          Development/Libraries/GNOME
Requires:       gnome-mime-data
Autoreqprov:    on
Version:        2.12.2
Release:        58.10
Summary:        The GNOME 2.x Desktop Virtual File System Libraries
URL:            http://www.gnome.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         ftp://ftp.gnome.org/pub/gnome/sources/gnome-vfs/2.12/gnome-vfs-%{version}.tar.bz2
Source1:        gnome-help-NLD
Source2:        gnome_defaults.conf
Source3:        SuSEconfig.gnome-vfs2
PreReq:         filesystem gconf2
Requires:       desktop-file-utils
Patch4:         gnome-vfs-submount.patch
Patch6:         gnome-vfs-new-folder-status.patch
Patch8:         gnome-vfs2-use-firefox.patch
Patch9:         gnome-vfs2-submount2.patch
Patch12:        CAN-2005-0706.diff
Patch15:        gnome-vfs2-uninited-vars.patch
Patch16:        gnome-vfs2-bonjour-support.patch
Patch17:        gnome-vfs2-94400-cancelation-rewrite-suse10.diff
Patch19:        gnome-vfs2-114473-ensure-mounted-subfs-volume.diff
Patch20:        gnome-vfs-url_handler_news.patch
Patch22:        gnome-vfs-url_handler_ftp.patch
Patch24:        gnome-vfs2-116472-disable-cdda.diff
Patch25:        gnome-vfs2-115467-remove-deleted-file-metadata.diff
Patch26:        gnome-vfs2-hal-mount.patch
Patch27:        gnome-vfs2-net-usershare.diff
Patch28:        gnome-vfs2-sftp-password-parse.patch
Patch29:        gnome-vfs2-inotify.patch
Patch30:        gnome-vfs2-155010-media-check-user-visible-drives.diff
Patch31:        gnome-vfs2-171156-ftp-large-files.diff
Patch32:        gnome-vfs2-149355-novfs-is-not-local.diff
Patch33:        gnome-vfs2-smb-bufsize.patch
Patch34:        gnome-vfs2-172870-unmount-uses-hal-udi-from-drive.diff
Patch35:        gnome-vfs2-172680-novell-services.diff
Patch36:        gnome-vfs-hu-translation-183987.patch
Patch37:        gnome-vfs2-183723-unix-mounts-plus-hal-mounts.diff
Obsoletes:      gnome-vfs-extras
Provides:       gnome-vfs-extras

%description
GNOME VFS is the GNOME virtual file system. It is the foundation of the
Nautilus file manager. It provides a modular architecture and ships
with several modules that implement support for file systems, HTTP,
FTP, and others. It provides a URI-based API, a back-end supporting
asynchronous file operations, a MIME type manipulation library, and
other features.



Authors:
--------
    Elliot Lee <sopwith@redhat.com>
    Miguel de Icaza  <miguel@nuclecu.unam.mx>
    Maciej Stachowiak <mjs@eazel.com>
    Darin Adler <darin@bentspoon.com>
    John Sullivan <sullivan@eazel.com>
    Pavel Cisler <pavel@eazel.com>
    Gene Ragan <gzr@eazel.com>
    Rebecca Schulman <rebecka@eazel.com>
    Seth Nickel <seth@eazel.com>
    Ian McKellar <yakk@yakk.net.au>
    Michael Meeks <michael@ximian.com>
    Dan Winship  <danw@ximian.com>
    Mathieu Lacage  <mathieu@eazel.com>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version} libbonobo-devel glib2-devel gconf2-devel libxml2-devel zlib-devel openssl-devel hal-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Elliot Lee <sopwith@redhat.com>
    Miguel de Icaza  <miguel@nuclecu.unam.mx>
    Maciej Stachowiak <mjs@eazel.com>
    Darin Adler <darin@bentspoon.com>
    John Sullivan <sullivan@eazel.com>
    Pavel Cisler <pavel@eazel.com>
    Gene Ragan <gzr@eazel.com>
    Rebecca Schulman <rebecka@eazel.com>
    Seth Nickel <seth@eazel.com>
    Ian McKellar <yakk@yakk.net.au>
    Michael Meeks <michael@ximian.com>
    Dan Winship  <danw@ximian.com>
    Mathieu Lacage  <mathieu@eazel.com>

%package doc
Summary:        Additional Package Documentation.
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}

%description doc
GNOME VFS is the GNOME virtual file system. It is the foundation for
the Nautilus file manager. It provides a modular architecture and ships
with several modules that implement support for file systems, HTTP,
FTP, and more. It provides a URI-based API, a back-end that supports
asynchronous file operations, a MIME type manipulation library, and
other features.



Authors:
--------
    Elliot Lee <sopwith@redhat.com>
    Miguel de Icaza  <miguel@nuclecu.unam.mx>
    Maciej Stachowiak <mjs@eazel.com>
    Darin Adler <darin@bentspoon.com>
    John Sullivan <sullivan@eazel.com>
    Pavel Cisler <pavel@eazel.com>
    Gene Ragan <gzr@eazel.com>
    Rebecca Schulman <rebecka@eazel.com>
    Seth Nickel <seth@eazel.com>
    Ian McKellar <yakk@yakk.net.au>
    Michael Meeks <michael@ximian.com>
    Dan Winship  <danw@ximian.com>
    Mathieu Lacage  <mathieu@eazel.com>

%prep
%setup -q -n gnome-vfs-%{version}
gnome-patch-translation-prepare
%patch4 -p1
%patch6 -p0
%patch8 -p1
%patch9
%patch12 -p1
%patch15
%patch16
%patch17 -p0
%patch19 -p1
%patch24 -p0
%patch25 -p1
%patch26 -p1
%patch27 -p0
%patch28 -p0
%patch29 -p0
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch37 -p1
gnome-patch-translation-update
# These patches have it's own translation management:
%patch20
%patch22
%patch36
# Generate translations for "news" and "ftp" entries from "h323".
# These entries are identical with exception of URL type string.
for po in po/*.po ; do
    tr '\n' '\1' <$po |
	sed $'s/\1\1/\\n\\n/g' |
	sed $'
	    s/\(.*desktop_gnome_url_handlers.schemas.*msgid ".*\)h323\\(.*"\1msgstr ".*\\)h323\\(.*\\)$/&\\n\\n\\1news\\2news\\3\\n\\n\\1ftp\\2ftp\\3/
	' |
	tr '\1' '\n' >$po.new
	mv $po.new $po
done

%build
rm po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
libtoolize --force
autoheader --force
aclocal
automake --add-missing --copy
autoconf
export PKG_CONFIG_PATH=/opt/gnome/%_lib/pkgconfig:$PKG_CONFIG_PATH
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing " \
  ./configure --prefix=%prefix \
	--libdir=%prefix/%_lib \
	--mandir=%{_mandir} \
	--sysconfdir=%{sysconfdir} \
	--libexecdir=%prefix/sbin \
        --enable-gtk-doc \
        --disable-howl --enable-bonjour
#	--enable-gnutls --disable-openssl
make

%install
export LIBRARY_PATH=$RPM_BUILD_ROOT/opt/gnome/%_lib
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/gnome/network
install -D %{S:1} $RPM_BUILD_ROOT%{prefix}/bin/gnome-help-NLD
install -D -m0644 %{S:2} $RPM_BUILD_ROOT%{sysconfdir}/gnome_defaults.conf
install -D -m0755 %{S:3} $RPM_BUILD_ROOT/sbin/conf.d/SuSEconfig.gnome-vfs2
mkdir -p $RPM_BUILD_ROOT/var/opt/gnome/cache/gnome-vfs $RPM_BUILD_ROOT%{prefix}/share/applications
touch $RPM_BUILD_ROOT/var/opt/gnome/cache/gnome-vfs/defaults.list
( cd $RPM_BUILD_ROOT%{prefix}/share/applications ; ln -s /var/opt/gnome/cache/gnome-vfs/defaults.list defaults.list )
%find_lang gnome-vfs-2.0
rm $RPM_BUILD_ROOT%{prefix}/%_lib/bonobo/monikers/libmoniker_gnome_vfs_std.*a
rm $RPM_BUILD_ROOT%{prefix}/%_lib/gnome-vfs-2.0/modules/*.*a

%post
%run_ldconfig
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source` 
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/desktop_default_applications.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/desktop_gnome_url_handlers.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/system_dns_sd.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/system_smb.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/system_http_proxy.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/system_storage.schemas >/dev/null

%postun
%run_ldconfig

%clean 
rm -rf $RPM_BUILD_ROOT

%files  -f gnome-vfs-2.0.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/%_lib/bonobo/servers/GNOME_VFS_Moniker_std.server
%{prefix}/%_lib/bonobo/monikers/libmoniker_gnome_vfs_std.so
%{prefix}/%_lib/bonobo/servers/GNOME_VFS_Daemon.server
%config %dir %{sysconfdir}/gnome-vfs-2.0
%config %{sysconfdir}/gnome-vfs-2.0/modules
%dir %{prefix}/%_lib/gnome-vfs-2.0
%dir %{prefix}/%_lib/gnome-vfs-2.0/modules
%{prefix}/%_lib/gnome-vfs-2.0/modules/*.so
%{prefix}/%_lib/libgnomevfs-2.so*
%config (noreplace) %{sysconfdir}/gnome_defaults.conf
%{sysconfdir}/gconf/schemas/desktop_default_applications.schemas
%{sysconfdir}/gconf/schemas/desktop_gnome_url_handlers.schemas
%{sysconfdir}/gconf/schemas/system_dns_sd.schemas
%{sysconfdir}/gconf/schemas/system_http_proxy.schemas
%{sysconfdir}/gconf/schemas/system_smb.schemas
%{sysconfdir}/gconf/schemas/system_storage.schemas
%dir %{prefix}/share/gnome/network
%{prefix}/share/applications/defaults.list
%{prefix}/sbin/gnome-vfs-daemon
%dir /var/opt/gnome/cache/gnome-vfs
%ghost /var/opt/gnome/cache/gnome-vfs/defaults.list
/sbin/conf.d/SuSEconfig.gnome-vfs2

%files devel
%defattr(-, root, root)
%{prefix}/%_lib/pkgconfig/*.pc
#%{prefix}/%_lib/bonobo/monikers/libmoniker_gnome_vfs_std.*a
#%{prefix}/%_lib/gnome-vfs-2.0/modules/*.*a
%{prefix}/include/*
%{prefix}/%_lib/gnome-vfs-2.0/include
%{prefix}/%_lib/libgnomevfs-2*a

%files doc
%defattr(-, root, root)
%{prefix}/share/gtk-doc/html/gnome-vfs-2.0

%changelog -n gnome-vfs2
* Sat Jun 17 2006 - federico@novell.com
- Added gnome-vfs2-183723-unix-mounts-plus-hal-mounts.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=183723.  Our
  gnome-vfs2-hal-mount.patch had removed the ability to mount certain
  volumes through mount(8), instead of HAL.  We need this for volumes
  that don't have a HAL UDI, like NFS mounts listed in /etc/fstab.
* Tue Jun 13 2006 - gekker@suse.de
- Fix typo in hu translation (#183987)
* Tue Jun 13 2006 - federico@novell.com
- Added gnome-vfs2-172680-novell-services.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=172680.  This adds a
  "Novell Services" item to the network:/// method, which will get
  activated when Novell Client for Linux is installed.
* Thu Jun 01 2006 - federico@novell.com
- Added gnome-vfs2-172870-unmount-uses-hal-udi-from-drive.diff to fix
  part of https://bugzilla.novell.com/show_bug.cgi?id=172870.  This
  makes unmounting floppy drives work correctly.
* Fri May 19 2006 - dave@suse.de
- Work around a problem with samba servers not liking to return
  > 64k bytes.
* Fri May 05 2006 - federico@novell.com
- Added gnome-vfs2-149355-novfs-is-not-local.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=149355.  This adds
  "novfs" to the list of file system types that are not local: those
  are Novell Client for Linux (i.e. Netware) mounts.
* Wed May 03 2006 - federico@novell.com
- Added gnome-vfs2-171156-ftp-large-files.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=171156.  This will make
  the FTP method parse 64-bit file sizes correctly, and also generate
  block sizes correctly.
* Wed Apr 26 2006 - sbrabec@suse.cz
- Explicitly require /etc/profile.d/xdg-enviroment.sh (#166270).
* Thu Apr 13 2006 - federico@novell.com
- Added gnome-vfs2-155010-media-check-user-visible-drives.diff to fix
  the gnome-vfs2 part of
  https://bugzilla.novell.com/show_bug.cgi?id=155010.  With this, a
  GnomeVFSDrive is considered to be user-visible if it doesn't support
  notifications when media is inserted: for such drives, we must
  always show an icon to the user, otherwise there is no way to
  auto-mount them and thus show them.
* Fri Apr 07 2006 - federico@novell.com
- Updated gnome-vfs2-hal-mount.patch.  Now it will correctly call the
  user's callbacks to notify them about the status of
  mount/unmount/eject operations.  Fixes
  https://bugzilla.novell.com/show_bug.cgi?id=162702
* Tue Apr 04 2006 - sbrabec@suse.cz
- Changed default FTP handler to firefox (#163193).
* Thu Mar 30 2006 - gekker@suse.de
- Remove thunderbird from dfault url handler for news (#156008)
* Mon Mar 13 2006 - sbrabec@suse.cz
- Fixed SuSEconfig.gnome-vfs2 quoting, accept colons in file names
  (#157093).
* Mon Mar 06 2006 - sbrabec@suse.cz
- Auto-update news and ftp schemas translations.
* Sat Mar 04 2006 - aj@suse.de
- Fix build by disabling translation patches.
* Thu Mar 02 2006 - sbrabec@suse.cz
- Fixed application type heuristics, added core applications to
  defaults (#154710).
* Fri Feb 24 2006 - federico@novell.com
- Updated gnome-vfs2-net-usershare.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=149678.  With this, the
  authentication dialog will no longer show "DOMAINNAME\username" if
  we are logged into an Active Directory domain.
* Thu Feb 16 2006 - danw@suse.de
- Remove the hack to allow either fam or gamin to be used, and
  just depend on fam. Add a new patch to use inotify directly if
  the fam server is not running (using the inotify code from
  gnome-vfs 2.14). Lets us kill off gamin as per #128037 and
  discussion on packagers.
* Wed Feb 15 2006 - jpr@suse.de
- Prefer banshee for multimedia and zen-installer for packages
  (#131600)
* Fri Feb 10 2006 - sbrabec@suse.cz
- Removed explicit requirement of mDNSResponder. Implicit
  dependency on libdns_ds.so is sufficient.
* Wed Feb 08 2006 - sbrabec@suse.cz
- Created SuSEconfig.gnome-vfs2, which builds defaults.list from
  available applications, preferrably GNOME and GTK (#73661).
* Wed Feb 08 2006 - jpr@suse.de
- Check for additional password string on stdout (#134613)
* Tue Feb 07 2006 - federico@novell.com
- Updated gnome-vfs2-net-usershare.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=127526.  This makes
  certain administrative shares in the SMB method visible from the
  outside.
* Mon Feb 06 2006 - federico@novell.com
- Updated gnome-vfs2-net-usershare.diff to fix the crash in
  https://bugzilla.novell.com/show_bug.cgi?id=147065.
* Wed Feb 01 2006 - sbrabec@suse.cz
- Use translation compendium gnome-patch-translation.
* Tue Jan 31 2006 - federico@novell.com
- Fix bug #145199.  Nautilus now shows SMB printers and lets you
  double-click on them to configure them.
* Mon Jan 30 2006 - sbrabec@suse.cz
- Default to nautilus for ftp:// and thunderbird for news://.
- Recreated ftp:// and news:// translation patches.
* Mon Jan 30 2006 - federico@novell.com
- First stage of the fix for bug #145199.  Nautilus now shows SMB printers; it cannot yet
  "launch" them (i.e. launch the configuration program for remote printers).
* Sat Jan 28 2006 - federico@novell.com
- If you create a "~/.debug-gnome-vfs-smb" file, the SMB method will output
  a lot of debugging information in "~/debug-gnome-vfs-smb.log".
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 - federico@novell.com
- Disable the cdda module again at the "configure" level to fix
  bug #116472.  Double-clicking on an audio CD icon in Nautilus should
  now start playing the CD.
* Tue Jan 24 2006 - jpr@suse.de
- Update gnome-vfs2-hal-mount.patch to unmount properly with the
  latest hal
* Mon Jan 23 2006 - federico@novell.com
- Added gnome-vfs2-net-usershare.diff.  This makes the network://
  method also list the user's shares from Samba's "net usershare".
* Sun Jan 15 2006 - meissner@suse.de
- require hal-devel in gnome-vfs2-devel.
* Tue Jan 10 2006 - fejj@suse.de
- Added gnome-vfs2-hal-mount.patch
* Sun Dec 04 2005 - lmuelle@suse.de
- Revert libsmbclient renameing.
* Wed Nov 30 2005 - gekker@suse.de
- Update to version 2.12.2
* Mon Nov 14 2005 - lmuelle@suse.de
- Use samba-libs instead of libsmbclient.
* Tue Nov 08 2005 - federico@novell.com
- Added gnome-vfs2-115467-remove-deleted-file-metadata.diff to fix
  part of bug #115467.  When reporting the status of a Delete
  operation, this patch makes gnome-vfs turn on the flag that informs
  Nautilus that the file being deleted needs to have its metadata
  removed.  With this, the icons for resurrected files will not
  overlap the icons of other files.
* Wed Oct 12 2005 - gekker@suse.de
- Update to version 2.12.1.1
- Remove upstreamed patch
* Mon Oct 03 2005 - sbrabec@suse.cz
- Fixed name clash crash in fam/gamin patch (#116897).
* Thu Sep 22 2005 - federico@novell.com
- Added gnome-vfs2-116472-disable-cdda.diff to fix the gnome-vfs2 part of bug #116472.
  This disables the cdda module in default-modules.conf.
* Thu Sep 15 2005 - sbrabec@suse.cz
- Added ftp URL handler schema (#113104).
* Tue Sep 13 2005 - sbrabec@suse.cz
- By default use eog for images, evince for PostScript (#116715).
* Mon Sep 12 2005 - federico@novell.com
- Updated gnome-vfs-submount.patch to fix bug #116558.  Our submount patch was
  not taking into account that audio CDs appear as mounted volumes, but their
  file system type is null.
* Mon Sep 12 2005 - sbrabec@suse.cz
- Re-enabled cdda module (#116472).
* Wed Sep 07 2005 - sbrabec@suse.cz
- Added news URL handler schema (#113104).
* Tue Sep 06 2005 - federico@novell.com
- Updated gnome-vfs2-94400-cancelation-rewrite-suse10.diff, this time
  to fix bug #114710.  Did an audit of the gnome-vfs threading code;
  this version of the patch has additional fixes.
* Mon Sep 05 2005 - gekker@suse.de
- Fix crasher in nautilus (114473)
* Mon Sep 05 2005 - sbrabec@suse.de
- Fixed fam/gamin patch comment.
* Mon Sep 05 2005 - mmj@suse.de
- Update to version 2.12.0 (GNOME 2.12)
* Wed Aug 31 2005 - federico@novell.com
- Added gnome-vfs2-100649-trash-see-all-volumes.diff to fix bug
  [#100649].  The trash can in Nautilus will now see all the volumes, so
  trash will work again.  This fix makes gnome-vfs keep account of all
  volumes; the ones not allowed by the HAL policy are just kept hidden
  from the user, but properly visible to client programs.
* Sat Aug 27 2005 - federico@suse.de
- Updated gnome-vfs2-94400-cancelation-rewrite-suse10.diff to handle module callbacks
  correctly.  This should make authentication work again.  This is for bug #105810.
* Wed Aug 24 2005 - gekker@suse.de
- Update to version 2.11.92
* Tue Aug 16 2005 - sbrabec@suse.cz
- Patch to pick one of fam/gamin libraries by dlopen().
* Wed Aug 10 2005 - federico@novell.com
- Removed gnome-vfs2-94400-file-method-cancel-while-open.patch, as it
  did not fix the problem completely.  Added
  gnome-vfs2-94400-cancelation-rewrite-suse10.diff, with a rewrite of
  the cancelation system.  This one is confirmed to work.
* Wed Aug 03 2005 - federico@novell.com
- Added gnome-vfs2-94400-file-method-cancel-while-open.patch to fix
  bug #94400.  The file method now doesn't leak file descriptors if an open()
  call gets canceled.
* Mon Aug 01 2005 - gekker@suse.de
- Update to version 2.11.90
* Sat Jul 30 2005 - hpj@suse.de
- Add Bonjour support.
- Use Bonjour instead of Howl.
* Mon Jul 25 2005 - gekker@suse.de
- Fix PKG_CONFIG_PATH
- Fix uninitialized variables
* Thu Jul 21 2005 - gekker@suse.de
- Update to version 2.11.3
- Remove upstreamed patch
* Tue Jul 19 2005 - jpr@suse.de
- Fix build for samba 3.0.20 which uses close_fn instead of close
  in the context now
* Fri Jun 24 2005 - sbrabec@suse.cz
- Fixed devel requirements.
- Removed unneeded static modules and .la files for modules.
* Fri Jun 17 2005 - gekker@suse.de
- Update version to 2.11.2
- Remove upstreamed patches.
* Thu Jun 02 2005 - ro@suse.de
- fix last change
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Fri May 27 2005 - ro@suse.de
- apply hal patch only on > 9.3
* Wed Apr 20 2005 - ro@suse.de
- fix build with new hal
  (needs more work: need to detect hal version and apply patch
  conditionally)
* Mon Apr 11 2005 - sbrabec@suse.cz
- Fixed Requires of doc subpackage.
* Mon Apr 11 2005 - sbrabec@suse.cz
- Fixed buffer overflow in CDDB code (#72397, CAN-2005-0706).
* Sat Mar 19 2005 - jody@suse.de
- fix typo in firefox patch
* Fri Mar 18 2005 - sbrabec@suse.cz
- Fixed attributes of defaults.list.
* Wed Mar 16 2005 - clahey@suse.de
- Add realplayer types.
* Wed Mar 16 2005 - jody@suse.de
- https://bugzilla.innerweb.novell.com/show_bug.cgi?id=66947
  back out patch, and re-open bug.  -remote openURL is too low
  level and causes 72998.
* Tue Mar 15 2005 - clahey@suse.de
- Change pdf handler to acroread.
* Mon Mar 14 2005 - jody@suse.de
- https://bugzilla.innerweb.novell.com/show_bug.cgi?id=66947
  Use -remote openURL(%%s) for firefix
  Beef up the arg expansion in gnome-vfs to handle %%s inside an arg
- patch for cddb from
  https://bugzilla.innerweb.novell.com/show_bug.cgi?id=72397
* Thu Mar 10 2005 - gekker@suse.de
- Change from gamin to fam per Andreas
* Tue Mar 08 2005 - gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Tue Mar 08 2005 - gekker@suse.de
- Add gnome-vfs2-submount2.patch (70836)
* Mon Mar 07 2005 - clahey@suse.de
- Created defaults.list.
* Wed Mar 02 2005 - gekker@suse.de
- update to version 2.9.92
* Tue Mar 01 2005 - clahey@suse.de
- Use firefox in 9.3.
* Fri Feb 25 2005 - sbrabec@suse.cz
- Require desktop-file-utils (#66605).
* Fri Feb 11 2005 - sbrabec@suse.cz
- Update to version 2.9.91.
- Removed broken dns_sd patch.
* Fri Feb 04 2005 - gekker@suse.de
- Update to version 2.9.90.
* Fri Feb 04 2005 - sbrabec@suse.cz
- Added support for mDNSResponder instead of howl.
* Fri Feb 04 2005 - ro@suse.de
- added dbus-1-glib to neededforbuild
* Fri Feb 04 2005 - sbrabec@suse.cz
- Switched back to openssl (#44438).
* Tue Feb 01 2005 - sbrabec@suse.cz
- Removed SuSEconfig script - there is no vfolder support any more.
* Fri Jan 14 2005 - sbrabec@suse.cz
- Build with gamin instead of fam.
* Thu Jan 13 2005 - ro@suse.de
- remove heimdal stuff from neededforbuild, this is handled
  by kerberos-devel-packages
* Wed Jan 12 2005 - sbrabec@suse.cz
- Updated to version 2.9.3.
* Fri Nov 19 2004 - ro@suse.de
- removed extra aclocal include directive
* Thu Nov 18 2004 - ro@suse.de
- use kerberos-devel-packages
* Tue Nov 16 2004 - sbrabec@suse.cz
- Replaced insecure old extfs modules by fixed modules from mc,
  fixed the rest (CAN-2004-0494, CRD: 04.08.2004) (#43152).
* Tue Nov 02 2004 - ro@suse.de
- locale rename: no -> nb
* Tue Oct 12 2004 - sbrabec@suse.cz
- Use gnutls instead of openssl (#44438).
* Thu Sep 30 2004 - hhetter@suse.de
- since fam does not watch symbolic links correctly,
  point drives to /dev/shm/Desktop
* Tue Sep 28 2004 - dave@suse.de
- New gnome-vfs-submount.patch, fixes ximian #66142
* Mon Sep 20 2004 - clahey@suse.de
- Added gnome-vfs2-vfolder-delay-notification.patch.  This delays
  notification in a way to work around a race condition somewhere
  in gnome-vfs2 that manifests as a freeze bug in gnome-panel.
* Fri Sep 17 2004 - hhetter@suse.de
- remove the ximian-menu definition and have the native
  applications: menu on SuSE 9.2 as alternative to
  the SUSE Menu (#45052)
* Thu Sep 16 2004 - dave@suse.de
- Added a new gnome-vfs-submount.patch, fixes ximian bug #62611
* Mon Sep 06 2004 - hhetter@suse.de
- remove the schema definition for firefox on SuLi9.2
- default to epiphany for SULi 9.2
* Wed Sep 01 2004 - shprasad@suse.de
- Changed the default url-handler to firefox.
* Tue Aug 31 2004 - clahey@suse.de
- Edited gnome-help-NLD to not depend on XML::Simple.
* Fri Aug 27 2004 - clahey@suse.de
- Switched the default help handler to gnome-help-NLD which does
  some processing on the URL and then calls khelpcenter.
* Mon Aug 23 2004 - rml@suse.de
- Update gnome-vfs2-ximian-menus.patch (bug #63554)
* Fri Aug 13 2004 - ro@suse.de
- Provide instead of Conflict gnome-vfs-extras
* Thu Aug 12 2004 - dave@suse.de
- Obsoleted/Conflicted gnome-vfs-extras
* Fri Aug 06 2004 - dave@suse.de
- Added build deps for heimdal-lib
* Thu Jul 29 2004 - dave@suse.de
- Added gnome-vfs-new-folder-status.patch
- Added a new version of gnome-vfs-submount.patch
* Wed Jun 23 2004 - dave@suse.de
- Added gnome-vfs-computer-filenames.patch
* Thu Jun 17 2004 - coolo@suse.de
- fixing require
* Fri Jun 04 2004 - clahey@suse.de
- Use -p0 to apply submount patch.
* Fri Jun 04 2004 - clahey@suse.de
- Added a patch to fix interactions with submount.
* Thu Jun 03 2004 - mibarra@suse.de
- Removed the default-url-handlers patch, it is no longer necessary.
* Tue May 11 2004 - clahey@suse.de
- Added gnome-vfs2-default-url-handlers.patch which adds a
  handler for mailto:.
* Tue May 04 2004 - clahey@suse.de
- Added patch updating the applications vfolder for the rework
  of the gnome menus.
- Added patch updating how GNOME_PATH was used in determining
  where to search for .desktop files.
* Mon May 03 2004 - clahey@suse.de
- Added patch to use new control center layout.
* Mon Apr 26 2004 - sbrabec@suse.cz
- Updated to version 2.6.1.
* Mon Apr 26 2004 - hhetter@suse.de
- updated to version 2.6.0 [GNOME2.6]
- added new schemas and gnome-vfs-daemon
* Mon Apr 05 2004 - sbrabec@suse.cz
- Fixed error message in SuSEconfig (#36270).
* Fri Mar 19 2004 - hhetter@suse.de
- included drive:// location for /var/lib/Desktop handling
* Wed Mar 10 2004 - sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
* Thu Feb 12 2004 - hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Mon Feb 09 2004 - hhetter@suse.de
- updated to version 2.4.2 [GNOME2.4.2]
* Sat Jan 10 2004 - adrian@suse.de
- add missing %%defattr
* Wed Oct 29 2003 - sbrabec@suse.cz
- Fixed files listed twice.
* Mon Oct 27 2003 - sbrabec@suse.cz
- Auto-generated marked files as %%ghost.
* Mon Oct 27 2003 - sbrabec@suse.cz
- Updated to version 2.4.1.
* Fri Oct 24 2003 - sbrabec@suse.cz
- Defined new URL providers - suse-menu:// and yast-settings://.
- Added SuSEconfig script for generating SuSE menu vfolder-info menu
  from XDG menu file.
* Mon Oct 06 2003 - sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Fri Sep 19 2003 - hhetter@suse.de
- vfolder definition update
* Tue Sep 16 2003 - sbrabec@suse.cz
- Fixed "mtime on copy from CD-ROM" problem
  (http://bugzilla.gnome.org/show_bug.cgi?id=117762).
* Tue Sep 16 2003 - hhetter@suse.de
- vfolder definition update
* Wed Sep 10 2003 - hhetter@suse.de
- vfolder definition update
- fix wrong allocated "more" folders
- fix double entries
* Mon Sep 08 2003 - hhetter@suse.de
- vfolder definition update (fix settings)
* Thu Sep 04 2003 - hhetter@suse.de
- vfolder definition renewal
* Fri Aug 29 2003 - hhetter@suse.de
- vfolder definition update
* Mon Aug 25 2003 - hhetter@suse.de
- introduce suse vfolder definition
* Wed Jul 23 2003 - hhetter@suse.de
- fix build for libmoniker_std.so
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Mon Jun 23 2003 - sbrabec@suse.cz
- Created empty directory for network shares.
* Fri Jun 20 2003 - sbrabec@suse.cz
- Directory packaging fix.
- Prefix clash fix.
* Tue May 27 2003 - sbrabec@suse.cz
- Updated to version 2.2.5.
* Mon May 26 2003 - sbrabec@suse.cz
- Do not provide gnvfs/gnvfsd (needed by new RPM).
* Wed Mar 05 2003 - sbrabec@suse.cz
- Added bzip2 and fam-devel to neededforbuild.
* Tue Feb 11 2003 - sbrabec@suse.cz
- Updated to version 2.2.1 (fixes theme-manager issues).
* Wed Jan 29 2003 - hhetter@suse.de
- updated to version 2.2.0
* Wed Jan 15 2003 - hhetter@suse.de
- updated to version 2.1.91
* Thu Nov 28 2002 - hhetter@suse.de
- updated to version 2.4.0.1 [GNOME 2.0.3]
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Tue Aug 20 2002 - hhetter@suse.de
- add PreReq: filesystem [#17861]
* Thu Aug 15 2002 - hhetter@suse.de
- require gnome-mime-data (#17738)
- branch doc package
* Fri Aug 09 2002 - hhetter@suse.de
- updated to version 2.0.2
- added openssl to neededforbuild
* Sat Jul 27 2002 - adrian@suse.de
- add %%run_ldconfig
* Thu Jun 27 2002 - hhetter@suse.de
- updated to version 2.0.1 (gnome 2 final)
  * create ~.gnome if it does not exist
- provide schemas
- fix filelist
* Tue Jun 18 2002 - meissner@suse.de
- for FAM we need libstdc++-devel (for the .la file)
* Tue Jun 18 2002 - hhetter@suse.de
- build with FAM support
* Wed Jun 12 2002 - hhetter@suse.de
- updated to version 2.0.0
* Tue Jun 11 2002 - ro@suse.de
- fix libdir usage for modules/extfs
* Tue Jun 11 2002 - hhetter@suse.de
- updated to version 1.9.17
* Tue Jun 04 2002 - hhetter@suse.de
- updated to version 1.9.16, source frozen
* Tue May 14 2002 - ro@suse.de
- use libdir
* Tue Apr 09 2002 - hhetter@suse.de
- use LIBRARY_PATH
- update to version 1.9.11 [gnome2 desktop beta3]
* Fri Feb 01 2002 - hhetter@suse.de
- updated to version 1.9.5 [gnome desktop alpha2]
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 17 2002 - hhetter@suse.de
- prefix to /opt/gnome2
* Wed Jan 09 2002 - hhetter@suse.de
- added gnome-vfs-module-2.0.pc to the filelist of the
  devel package
* Wed Jan 09 2002 - hhetter@suse.de
- initial SuSE Package for GNOME 2.0 platform
